# EditChannelPostUpdate - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.update / EditChannelPostUpdate

# EditChannelPostUpdate

(common) `data class EditChannelPostUpdate : BaseEditMessageUpdate` (source)

### Constructors

(common)

#### <init>

`EditChannelPostUpdate(updateId: UpdateIdentifier, data: CommonMessage<*>)`

### Properties

(common)

#### data

`val data: CommonMessage<*>`

(common)

#### updateId

`val updateId: UpdateIdentifier`